<?php

require("includes/check_auth_user.php");
require("includes/dbconnect.php");
include ('includes/function.php');

$zdb = $_SESSION["zdbyear_" . $dbname];
mysqli_select_db($conn, $zdb);
$admin = $_SESSION["admin_" . $dbname];
$success = false;


$keyfld = "vouchno";
$rangeFrom = $_REQUEST["rangeFrom"];
$rangeTo = $_REQUEST["rangeTo"];
$searchTerm = $_REQUEST["ssearch"];
$operator = $_REQUEST["soperator"];
$series = $_REQUEST["series"];
$para = $_REQUEST["para"];
$parasrch = $_REQUEST["parasrch"];

$file = "crednotevat.php";
$maindb = "crdvatmain";

$cond = "";
if ($_REQUEST["sfield"] != "") {
    if ($operator == "=") {
        if ($_REQUEST["sfield"] == "4") {
            $cond = "AND a.`vouchno` = '$searchTerm'";
        } else if ($_REQUEST["sfield"] == "2") {
            $cond = "AND a.`invno` = '$searchTerm'";
        } else if ($_REQUEST["sfield"] == "3") {
            $cond = "AND a.`vouchdt` = '$searchTerm'";
        } else if ($_REQUEST["sfield"] == "1") {
            $cond = "AND b.`name` = '$searchTerm'";
        } else if ($_REQUEST["sfield"] == "5") {
            $cond = "AND a.`mobile` = '$searchTerm'";
        } else if ($_REQUEST["sfield"] == "6") {
            $cond = "AND a.`billamt` = '$searchTerm'";
        }
    } else {
        if ($_REQUEST["sfield"] == "4") {
            $cond = "AND a.`vouchno` LIKE '%$searchTerm%'";
        } else if ($_REQUEST["sfield"] == "2") {
            $cond = "AND a.`invno` LIKE '%$searchTerm%'";
        } else if ($_REQUEST["sfield"] == "3") {
            $cond = "AND a.`vouchdt` LIKE '%$searchTerm%'";
        } else if ($_REQUEST["sfield"] == "1") {
            $cond = "AND b.`name` LIKE '%$searchTerm%'";
        } else if ($_REQUEST["sfield"] == "5") {
            $cond = "AND a.`mobile` LIKE '%$searchTerm%'";
        } else if ($_REQUEST["sfield"] == "6") {
            $cond = "AND a.`billamt` LIKE '%$searchTerm%'";
        }
    }
}

$sortcond = "ORDER BY a.`vouchdt`";
if ($_REQUEST["sortBy"] == "4") {
    $sortcond = " ORDER BY a.`voucher`";
} else if ($_REQUEST["sortBy"] == "2") {
    $sortcond = " ORDER BY a.`invno`";
} else if ($_REQUEST["sortBy"] == "3") {
    $sortcond = " ORDER BY a.`vouchdt`";
} else if ($_REQUEST["sortBy"] == "1") {
    $sortcond = " ORDER BY b.`name`";
} else if ($_REQUEST["sortBy"] == "5") {
    $sortcond = " ORDER BY a.`mobile`";
} else if ($_REQUEST["sortBy"] == "6") {
    $sortcond = " ORDER BY a.`billamt`";
}

$ordcond = "DESC";
if ($_REQUEST["orderAs"] == "desc") {
    $ordcond = "DESC";
} else {
    $ordcond = "ASC";
}

$query = "SELECT a.vouchno, a.voucher, a.vouchdt, a.invno, a.party, a.rem1,
          a.billamt, b.accode, b.name FROM `$maindb` a, `accmast` b WHERE a.`party` = b.`accode` 
          $cond $sortcond $ordcond  LIMIT $rangeFrom, $rangeTo";
$result = mysqli_query($conn, $query)or die(mysqli_error($conn));

$rows = array();
$ctr = 0;
while ($r = mysqli_fetch_assoc($result)) {

    $rows[] = ['success' => true,
        'voucher' => $r['vouchno'],
        'invno' => $r['invno'],
        'vouchdt' => $r['vouchdt'],
        'name' => $r['name'],
//        'mobile' => $r['mobile'],
        'billamt' => $r['billamt'],
        'action' => "$file?mode=edit&$keyfld=$r[$keyfld]",
    ];
}
header("Content-type: application\json");
echo json_encode($rows);
